while.hpp File Reference

Forward declares `boost::hana::while_`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::while_

Apply a function to an initial state while some predicate is satisfied.This method is a natural extension of the `while` language construct to manipulate a state whose type may change from one iteration to another. However, note that having a state whose type changes from one iteration to the other is only possible as long as the predicate returns a `Logical` whose truth value is known at compile-time. More...

## Detailed Description

Forward declares `boost::hana::while_`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)